Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.testing.sanity
Class SubpropertyRangeMustNarrowTest

    java.lang.Object
      edu.stanford.smi.protegex.owl.testing.AbstractOWLTest
          edu.stanford.smi.protegex.owl.testing.sanity.SubpropertyRangeMustNarrowTest

All Implemented Interfaces:
  OWLTest, RDFPropertyTest

    public class SubpropertyRangeMustNarrowTest

extends AbstractOWLTest
implements RDFPropertyTest

Author:
  Holger Knublauch

Field Summary

Fields inherited from class edu.stanford.smi.protegex.owl.testing.AbstractOWLTest
`SANITY_GROUP`

Constructor Summary
`SubpropertyRangeMustNarrowTest()`

Method Summary
`static OWLObjectProperty` | `fails(OWLObjectProperty slot)`
`List` | `test(RDFProperty property)` Performs a check of a given property.

Methods inherited from class edu.stanford.smi.protegex.owl.testing.AbstractOWLTest
`getDocumentation, getGroup, getName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protegex.owl.testing.OWLTest
`getDocumentation, getGroup, getName`

Constructor Detail

### SubpropertyRangeMustNarrowTest

    public SubpropertyRangeMustNarrowTest()

Method Detail

### fails

    public static OWLObjectProperty fails(OWLObjectProperty slot)

### test

    public List test(RDFProperty property)

  Description copied from interface: `RDFPropertyTest`
  Performs a check of a given property.

  Specified by:
    `test` in interface `RDFPropertyTest`
  Parameters:
    `property` - the RDFProperty to check
  Returns:
    a list of OWLTestResult objects

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.